Межсайтовый скриптинг и инъекция Ruby кода в RWiki

Дата публикации:
29.05.2006
Всего просмотров:
1291
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2581
CVE-2006-2582
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RWiki 2.x
Уязвимые версии: RWiki 2.1.0 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольный Ruby код на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных при редактировании формы. Удаленный пользователь может выполнить произвольный Ruby код на системе с привилегиями Web сервера.

URL производителя: www.pmachine.com

Решение: Установите последнюю версию (2.1.1) с сайта производителя.

или введите имя

CAPTCHA